Skip to main content
`Ctrl`+`K`

# NDDataBase

class astropy.nddata.NDDataBase

  Bases: `object`

  Base metaclass that defines the interface for N-dimensional datasets with associated meta information used in `astropy`.

  All properties and `__init__` have to be overridden in subclasses. See `NDData` for a subclass that defines this interface on `numpy.ndarray`-like `data`.

  See also: https://docs.astropy.org/en/stable/nddata/

  Attributes Summary

  `data` | The stored dataset.
  `mask` | Mask for the dataset.
  `meta` | Additional meta information about the dataset.
  `psf` | Image representation of the PSF for the dataset.
  `uncertainty` | Uncertainty in the dataset.
  `unit` | Unit for the dataset.
  `wcs` | World coordinate system (WCS) for the dataset.

  Attributes Documentation

  data

    The stored dataset.

  mask

    Mask for the dataset.

    Masks should follow the `numpy` convention that valid data points are marked by `False` and invalid ones with `True`.

  meta

    Additional meta information about the dataset.

    Should be `dict`-like.

  psf

    Image representation of the PSF for the dataset.

    Should be `ndarray`-like.

  uncertainty

    Uncertainty in the dataset.

    Should have an attribute `uncertainty_type` that defines what kind of uncertainty is stored, such as `"std"` for standard deviation or `"var"` for variance.

  unit

    Unit for the dataset.

  wcs

    World coordinate system (WCS) for the dataset.